#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_LotteryChipCFGData
{
	//充值额度
	int mRecharge;
	//充值额度
	int mRechargeUp;
	//返回话费碎片百分比
	int mRetChipRate;
	//速算扣除
	int mQuickDeduction;
};

class M_LotteryChipCFG
{
public:
private:
	static std::auto_ptr<M_LotteryChipCFG> msSingleton;
public:
	int GetCount();
	const M_LotteryChipCFGData* GetData(int Recharge);
	boost::unordered_map<int, M_LotteryChipCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_LotteryChipCFG* GetSingleton();
private:
	boost::unordered_map<int, M_LotteryChipCFGData> mMapData;
};
